AOWP_FunctionCallPointcut (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.pointcut.designators.AOWP_FunctionCallPointcut
/aspect/pointcut/designators/FunctionCallPointcut.class.php at line 31

# Class AOWP_FunctionCallPointcut

    AOWP_Pointcut
        └─AOWP_StaticPointcut
           └─AOWP_FunctionCallPointcut

public class AOWP_FunctionCallPointcut
extends AOWP_StaticPointcut

関数呼び出しを選択するポイントカット記述子です。 可変変数を用いた関数呼び出しは選択できません。 例えば、 `$funcName = 'someFunc'; {$funcName}(); function someFunc() { echo 'Call'; }` の2行目は、 `new AOWP_FunctionClassPoint('someFunc', 0);` や、 `new AOWP_FunctionClassPoint('{$funcName}', 0);` のポイントカットで選択する事はできません。

Author:
  keiji

Field Summary
private mixed | $_argumentsCount
private mixed | $_functionName

Constructor Summary
AOWP_FunctionCallPointcut(string functionName, int argumentsCount)

Method Summary
protected void | _isJoinPointShadow(mixed joinPoint)

Methods inherited from aowp.aspect.pointcut.AOWP_StaticPointcut
_runtimeMatch

Methods inherited from aowp.aspect.pointcut.AOWP_Pointcut
__clone, _getAspectInstance, _isJoinPointShadow, _runtimeMatch, isHavePointcut, isJoinPointShadow, isNot, opAnd, opNot, opOr, patternMatch, runtimeMatch, setAdvice

## Field Detail

/aspect/pointcut/designators/FunctionCallPointcut.class.php at line 33

### _argumentsCount

`private mixed $_argumentsCount`

/aspect/pointcut/designators/FunctionCallPointcut.class.php at line 32

### _functionName

`private mixed $_functionName`

## Constructor Detail

/aspect/pointcut/designators/FunctionCallPointcut.class.php at line 40

### AOWP_FunctionCallPointcut

`public AOWP_FunctionCallPointcut(string functionName, int argumentsCount)`

Parameters:
  functionName - 関数名
  argumentsCount - 引き数の数

## Method Detail

/aspect/pointcut/designators/FunctionCallPointcut.class.php at line 45

### _isJoinPointShadow

`protected void _isJoinPointShadow(mixed joinPoint)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr